Summary: GNU Octave -- a high-level language for numerical computations
Name: octave
Version: 2.0.16
Release: 1
Group: Applications/Math
Copyright: GPL
Url: http://www.che.wisc.edu/octave/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.che.wisc.edu/pub/octave/octave-%{version}.tar.gz
Requires: gnuplot
BuildRoot: /var/tmp/%{name}-root

%description
GNU Octave is a high-level language, primarily intended for numerical
computations. It provides a convenient command line interface for
solving linear and nonlinear problems numerically, and for performing
other numerical experiments using a language that is mostly compatible
with Matlab. It may also be used as a batch-oriented language.

Octave has extensive tools for solving common numerical linear algebra
problems, finding the roots of nonlinear equations, integrating
ordinary functions, manipulating polynomials, and integrating ordinary
differential and differential-algebraic equations. It is easily
extensible and customizable via user-defined functions written in
Octave's own language, or using dynamically loaded modules written in
C++, C, Fortran, or other languages.


%prep
%setup -q


%build
CXXFLAGS="$RPM_OPT_FLAGS"	\
CFLAGS="$RPM_OPT_FLAGS"		\
FFLAGS="$RPM_OPT_FLAGS"		\
LDFLAGS="-s"			\
	./configure --prefix=/usr \
	--enable-shared --enable-dl --enable-lite-kernel
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix="$RPM_BUILD_ROOT/usr" install

# Remake html pages without -split_chapter; remake info pages with --no-split
for i in faq interpreter liboctave; do
	(
	cd doc/"$i"
	rm -f *.info* *.html
	perl -pi -e 's|makeinfo |makeinfo --no-split |' Makefile
	perl -pi -e 's|texi2html -split_chapter |texi2html |' Makefile
	make
	)
done
gzip -9f doc/*/*.ps

# Install info pages and gzip them
rm -f $RPM_BUILD_ROOT/usr/info/*
install -m644 doc/*/*.info $RPM_BUILD_ROOT/usr/info
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info

# Prepare for %doc
mkdir -p rpm_doc/{faq,interpreter,liboctave,refcard}
for i in faq interpreter liboctave; do
	cp -p doc/$i/*.{ps.gz,html} rpm_doc/$i
done
cp -p doc/refcard/refcard-letter.ps.gz rpm_doc/refcard


%post
/sbin/ldconfig
/sbin/install-info --info-dir=/usr/info /usr/info/octave.info.gz
/sbin/install-info --info-dir=/usr/info \
	--entry="* liboctave: (liboctave).                       liboctave." \
	/usr/info/liboctave.info.gz
/sbin/install-info --info-dir=/usr/info \
	--entry="* Octave-FAQ: (Octave-FAQ).                     Octave-FAQ." \
	/usr/info/Octave-FAQ.info.gz

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/octave.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/liboctave.info.gz
  /sbin/install-info --delete --info-dir=/usr/info /usr/info/Octave-FAQ.info.gz
fi

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog* INSTALL INSTALL.OCTAVE NEWS* PROJECTS README 
%doc README.Linux ROADMAP SENDING-PATCHES THANKS
%doc emacs examples rpm_doc/*
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/libexec/*
/usr/man/man*/*
/usr/share/*


%clean
rm -rf $RPM_BUILD_ROOT
